package com.brilliance.isc.mda.dao;

import com.brilliance.isc.vo.manager.GtxManageVo;
import org.apache.ibatis.annotations.Mapper;
import com.brilliance.isc.bo.Atx;
import com.brilliance.isc.vo.manager.GtxManageVo;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.Map;
import java.util.List;

/**
 * (Atx)表数据库访问层
 *
 * @author makejava
 * @since 2022-11-14 16:09:10
 */
public interface AtxMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param inr
     * @return 实例对象
     */
    Atx queryById(@Param("inr") String inr);

    /**
     * 通过ID查询单条数据
     *
     * @param extkey
     * @return 实例对象
     */
    Atx queryByExtkey(@Param("extkey") String extkey);

    /**
     * 查询指定行数据
     *
     * @param queryConditionInfo     查询条件
     *
     * @return 对象列表
     */
   // List<Atx> queryAllByLimit(QueryConditionInfo queryConditionInfo);

    /**
     * 统计总行数
     *
     * @param atx 查询条件
     * @return 总行数
     */
    //long count(Atx atx);

    /**
     * 新增数据
     *
     * @param atx 实例对象
     * @return 影响行数
     */
    int insert(Atx atx);


    /**
     * 修改数据
     *
     * @param atx 实例对象
     * @return 影响行数
     */
    int update(Atx atx);

    /**
     * 通过主键删除数据
     *
     * @param inr
     * @return 影响行数
     */
    int deleteById(@Param("inr") String inr);

    /**
     * 根据ATX主键查询Atx中ver数据
     *
     * @param inr 主键
     * @return
     */
    String getAtxVerFromInr(@Param("inr") String inr);

    Atx selectByPrimaryKey(Atx record);

    List<Atx> selectList(Atx atx);
}

